Subject: Re: 3.81 and windows paths
From: mwoehlke <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 28 Jul 2006 12:50:15 -0500

Michael Eager wrote:
> Christopher Faylor wrote:
>> On Thu, Jul 27, 2006 at 05:09:16PM -0400, Paul D. Smith wrote:
>>> In fact, I'm wondering if there is an advantage to building GNU make
>>> using the Cygwin environment, vs. using a native MingW (for example)
>>> build of GNU make?  I'm afraid I'm woefully ignorant about the details.
>>
>> There is no advantage using cygwin if you want to use a Makefile which
>> contains MS-DOS paths.  Using MinGW makes perfect sense in that case.
>> Despite having suggested this repeatedly, it seems some users are still
>> not clear on this concept.
> 
> When I ran into this problem, it was because there was a
> WINDOWS environment symbol referenced in a dependency.
> It's not practical to change the environment symbol -- it is
> used by both makefiles and native windows programs.  Nor is it
> practical to re-write the paths in the makefile -- because the
> makefile needs to reference this (and other) shared environment symbols,
> which are not fixed in the makefile.
> 
> There are two equally unpleasant resolutions recommended:
> either install two products (Cygwin and MinGW) or retain
> a back-level version of make, forgoing all future bug fixes.
> Neither are very good, but I've opted for the second choice.

You're forgetting the third, correct choice: use cygpath to translate 
the offending environment variable (if you like, store a copy of the 
translated variable in make's environment).

-- 
Matthew
Warning: prolonged exposure to Cygwin may cause addiction.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/